Loading...
Searching...
No Matches
BALL::DisulfidBondProcessor Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

`#include <BALL/STRUCTURE/disulfidBondProcessor.h>`

Inheritance diagram for BALL::DisulfidBondProcessor:

## Public Member Functions

Constructors and Destructors
| DisulfidBondProcessor ()
| Default Constructor.
virtual | ~DisulfidBondProcessor ()
| Destructor.
Processor-related methods
virtual bool | start ()
| Processor method which is called before the operator()-call.
void | clear ()
virtual Processor::Result | operator() (AtomContainer &ac)
virtual bool | finish ()
| Processor method which is called after the operator()-call.
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Type definitions

typedef std::pair< Residue *, Residue * > | DisulfidBond
typedef std::set< DisulfidBond > | DisulfidBonds
| BALL_CREATE (DisulfidBondProcessor)

## Accessors.

DisulfidBonds | sulfur_bridges_
Size | getNumberOfDetectedDisulfidBonds ()
| Return the number of detected disulfid bonds.
DisulfidBonds & | getDisulfidBonds ()
| Return the vector of disulfid bonds.
const DisulfidBonds & | getDisulfidBonds () const
| Return the vector of disulfid bonds, const variant.
bool | connect (Atom *atom1, Atom *atom2, bool toggle=false)
| Connect two sulfurs by disulid bond.
bool | connect (Residue *residue1, Residue *residue2, bool toggle=false)
| Connect two residues by disulid bond.
bool | connect (Composite *composite1, Composite *composite2, bool toggle=false)
| Connect two atom containers by disulid bond.
bool | disconnect (Atom *atom1, Atom *atom2)
| Disconnect a disulid bond.
bool | disconnect (Residue *residue1, Residue *residue2)
| Disconnect a disulid bond by its residues.
bool | disconnect (Composite *composite1, Composite *composite2)
| Disconnect a disulid bond by its constitutional atom containers.

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Disulfid Bond Processor Detection and Computation of disulfid bonds of the atom container.

Definition at line 22 of file disulfidBondProcessor.h.

## Member Typedef Documentation

## DisulfidBond

typedef std::pair<Residue*, Residue*> BALL::DisulfidBondProcessor::DisulfidBond

Definition at line 29 of file disulfidBondProcessor.h.

## DisulfidBonds

typedef std::set<DisulfidBond> BALL::DisulfidBondProcessor::DisulfidBonds

Definition at line 30 of file disulfidBondProcessor.h.

## Constructor & Destructor Documentation

## DisulfidBondProcessor()

BALL::DisulfidBondProcessor::DisulfidBondProcessor | ( |  | ) |

Default Constructor.

## ~DisulfidBondProcessor()

virtual BALL::DisulfidBondProcessor::~DisulfidBondProcessor | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## BALL_CREATE()

BALL::DisulfidBondProcessor::BALL_CREATE | ( | DisulfidBondProcessor |  | ) |

## clear()

void BALL::DisulfidBondProcessor::clear | ( |  | ) |

Clears the data structures.

## connect() [1/3]

bool BALL::DisulfidBondProcessor::connect | ( | Atom * | atom1,
|  | Atom * | atom2,
|  | bool | toggle = false )

Connect two sulfurs by disulid bond.

## connect() [2/3]

bool BALL::DisulfidBondProcessor::connect | ( | Composite * | composite1,
|  | Composite * | composite2,
|  | bool | toggle = false )

Connect two atom containers by disulid bond.

## connect() [3/3]

bool BALL::DisulfidBondProcessor::connect | ( | Residue * | residue1,
|  | Residue * | residue2,
|  | bool | toggle = false )

Connect two residues by disulid bond.

## disconnect() [1/3]

bool BALL::DisulfidBondProcessor::disconnect | ( | Atom * | atom1,
|  | Atom * | atom2 )

Disconnect a disulid bond.

## disconnect() [2/3]

bool BALL::DisulfidBondProcessor::disconnect | ( | Composite * | composite1,
|  | Composite * | composite2 )

Disconnect a disulid bond by its constitutional atom containers.

## disconnect() [3/3]

bool BALL::DisulfidBondProcessor::disconnect | ( | Residue * | residue1,
|  | Residue * | residue2 )

Disconnect a disulid bond by its residues.

## finish()

virtual bool BALL::DisulfidBondProcessor::finish | ( |  | ) |

virtual

Processor method which is called after the operator()-call.

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## getDisulfidBonds() [1/2]

DisulfidBonds & BALL::DisulfidBondProcessor::getDisulfidBonds | ( |  | ) |

inline

Return the vector of disulfid bonds.

Definition at line 75 of file disulfidBondProcessor.h.

## getDisulfidBonds() [2/2]

const DisulfidBonds & BALL::DisulfidBondProcessor::getDisulfidBonds | ( |  | ) | const

inline

Return the vector of disulfid bonds, const variant.

Definition at line 78 of file disulfidBondProcessor.h.

## getNumberOfDetectedDisulfidBonds()

Size BALL::DisulfidBondProcessor::getNumberOfDetectedDisulfidBonds | ( |  | ) |

inline

Return the number of detected disulfid bonds.

Definition at line 72 of file disulfidBondProcessor.h.

## operator()()

virtual Processor::Result BALL::DisulfidBondProcessor::operator() | ( | AtomContainer & | ac | ) |

virtual

Operator () for the processor

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## start()

virtual bool BALL::DisulfidBondProcessor::start | ( |  | ) |

virtual

Processor method which is called before the operator()-call.

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## Member Data Documentation

## sulfur_bridges_

DisulfidBonds BALL::DisulfidBondProcessor::sulfur_bridges_

protected

Definition at line 102 of file disulfidBondProcessor.h.